# Statistics (deprecated)

{% hint style="danger" %}
These endpoints have been deprecated.
{% endhint %}

## Get current AVAX Supply

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/supply`

This endpoint gives more granular data about the AVAX supply based on a mix of real-time updates and editorial work of the Avascan team.

#### Query Parameters

| Name              | Type   | Description                                               |
| ----------------- | ------ | --------------------------------------------------------- |
| totalSupply       | number | total available AVAX supply (360MM + stakingRewards)      |
| circulatingSupply | number | genesisUnlock + stakingRewards                            |
| lastUpdate        | number | date of last update of the whole data set                 |
| stakingRewards    | number | total staking rewards minted                              |
| genesisUnlock     | number | unlocked AVAX at the time as per the AVAX Unlock Schedule |

{% tabs %}
{% tab title="200 Supply data correctely retrieved." %}

```
{
  "genesisUnlock": 65171868.28,
  "stakingRewards": 11765187,
  "lastUpdate": "2020-12-08T12:00:00.000Z",
  "circulatingSupply": 76937055.28,
  "totalSupply": 371765187
}
```

{% endtab %}
{% endtabs %}

## Global statistics

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/home/statistics`

Get the updated statistics shown in the Avascan home page. Query data are selected when they’re equal to 1 (example: `blockchains=1`). Unspecified query data will lead to full output.

#### Query Parameters

| Name                         | Type   | Description                                                                                                                                  |
| ---------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| blockchains                  | number | Total deployed blockchains on mainnet                                                                                                        |
| validators                   | number | Total validators validating the Primary Network                                                                                              |
| stakingRatio                 | number | Total staked AVAX out of total supply                                                                                                        |
| stakingRewards               | number | Current staking rewards' yield                                                                                                               |
| price                        | number | Current price from CoinGecko                                                                                                                 |
| marketcapByCirculatingSupply | number | Current market cap by circulating supply                                                                                                     |
| marketcapByTotalSupply       | number | Fully diluted market cap out of total supply                                                                                                 |
| circulatingSupply            | number | Current circulating supply: unlocked genesis + staking rewards - burned fees                                                                 |
| lastAvgTps24h                | number | Average transactions per second in last 24 hours                                                                                             |
| assetsAndTokens              | number | Aggregated count of assets on X-Chain and tokens on C-Chain. Does include NFTs on X-Chain, but not ERC-721 and ERC-1155 on C-Chain, for now. |
| burnedSinceLaunch            | number | Total AVAX burned in fees and burn addresses                                                                                                 |

{% tabs %}
{% tab title="200 " %}

```
{
    "blockchains": 10,
    "validators": 979,
    "stakingRatio": 55.78593411685608,
    "stakingRewards": 10.3812945775,
    "price": 14.74,
    "marketcapByCirculatingSupply": 2541443737.36665,
    "marketcapByTotalSupply": 5688491788.64565,
    "circulatingSupply": 172418164.00045115,
    "lastTransactions24h": 19387,
    "lastAvgTps24h": 0.22438657407407409,
    "assetsAndTokens": 4928,
    "burnedSinceLaunch": 115758.43176020411
}
```

{% endtab %}
{% endtabs %}

## Staking statistics

<mark style="color:blue;">`GET`</mark> `https://avascan.info/api/v1/statistics`

This endpoint allows you to source the same data present in Avascan's Staking Stats page.

#### Query Parameters

| Name                 | Type   | Description                                                        |
| -------------------- | ------ | ------------------------------------------------------------------ |
| totalValidator       | number | The count of validator validating                                  |
| totalDelegation      | number | The count of delegations in progress                               |
| totalStake           | number | Expressed in AVAX, it's totalValidationStake + totalDelegatedStake |
| totalValidationStake | number | Stake of 'totalValidator' validations                              |
| totalDelegatedStake  | number | Stake of 'totalDelegation' delegations                             |
| stakingRewards       | number | newly minted AVAX with staking                                     |
| stakingRatio         | number | Ratio of AVAX locked in stake vs. total supply                     |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "totalValidator":865,
    "totalDelegation":5683,
    "totalStake":299584477.8758476,
    "totalValidationStake":209563806.4235764,
    "totalDelegatedStake":90020671.45227116,
    "stakingReward":9.607169410375027,
    "stakingRatio":83.21791052106877
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.avascan.info/api/api-v1-deprecated/statistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
